Bug 99478 - /etc/rc.d/init.d/iptables expects /etc/sysconfig/iptables to exist
/etc/rc.d/init.d/iptables expects /etc/sysconfig/iptables to exist
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-20 22:24 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-21 04:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-07-20 22:24:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030720

Description of problem:
I had run four iptables commands and then ran "service iptables save".
I received this output:

Saving firewall rules to /etc/sysconfig/iptables: cp: cannot stat
`/etc/sysconfig/iptables': No such file or directory


I then touched /etc/sysconfig/iptables and ran "service iptables save" again.
This time it worked.

Version-Release number of selected component (if applicable):
iptables-1.2.8-7.1

How reproducible:
Always

Steps to Reproduce:
1. Make sure /etc/sysconfig/iptables doesn't exist
2. Add some iptables rules
3. Run service iptables save
    

Actual Results:  Saving firewall rules to /etc/sysconfig/iptables: cp: cannot
stat `/etc/sysconfig/iptables': No such file or directory


Expected Results:  Saving firewall rules to /etc/sysconfig/iptables:          [
 OK  ]


Additional info:
Comment 1 Thomas Woerner 2003-07-21 04:06:11 EDT
This is fixed in rawhide in package iptables-1.2.8-8.1.

Note You need to log in before you can comment on or make changes to this bug.